> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/invalid-products.md).

# Invalid Products

## POST /api/v2/InvalidProducts/Invalid

> Returns a list of invalid products for display on the UI.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest":{"required":["pageNumber","pageSize"],"type":"object","properties":{"pageNumber":{"type":"integer","description":"The page number to display.","format":"int32"},"pageSize":{"type":"integer","description":"The size of the page to display.","format":"int32"},"orderByField":{"type":"string","description":"The field to be used to order the results","nullable":true},"isOrderByAsc":{"type":"boolean","description":"The field to be used to sort the results"},"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"tenantCode":{"type":"string","description":"Tenant Code","nullable":true},"requestType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType"},"searchType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"},"continuationToken":{"type":"string","description":"Gets or sets search continuatino token.","nullable":true}},"additionalProperties":false,"description":"InvalidProductSearchRequest"},"Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType":{"enum":["ValidProducts","InvalidProducts","DefaultClassification","InvalidLogs"],"type":"string","description":"The type of searches that can be called from the UI"},"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse"},"description":"Gets items.","nullable":true},"hasMoreResults":{"type":"boolean","description":"Gets or sets value indicating whether source has more results."},"continuationToken":{"type":"string","description":"Gets continuation token.","nullable":true}},"additionalProperties":false,"description":"Represents continued result model."},"Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.BaseCatalog"},"description":"List of results","nullable":true},"pagination":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.Pagination"}},"additionalProperties":false,"description":"InvalidProductResponse"},"Customs.Catalog.Domain.Pkg.Models.Domain.BaseCatalog":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"dataSource":{"type":"string","description":"The datasource of the object i.e. File/Api","nullable":true},"dataSourceAdditionalInfo":{"type":"string","description":"Additional info on the datasource e.g. filename or blobname","nullable":true},"userName":{"type":"string","description":"Holds input data request username","nullable":true},"lastModifiedUserName":{"type":"string","description":"Holds last updated username","nullable":true},"catalogInputInfoReferenceId":{"type":"string","description":"Holds input data information reference id","nullable":true},"status":{"type":"string","description":"Holds status","nullable":true}},"additionalProperties":false,"description":"Base Catalog"},"Customs.Catalog.Domain.Pkg.Models.Paging.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Invalid":{"post":{"tags":["InvalidProducts"],"summary":"Returns a list of invalid products for display on the UI.","operationId":"api/v2/InvalidProducts/Invalid_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/InvalidProducts/Delete

> Deletes invalid products for brand.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest":{"required":["pageNumber","pageSize"],"type":"object","properties":{"pageNumber":{"type":"integer","description":"The page number to display.","format":"int32"},"pageSize":{"type":"integer","description":"The size of the page to display.","format":"int32"},"orderByField":{"type":"string","description":"The field to be used to order the results","nullable":true},"isOrderByAsc":{"type":"boolean","description":"The field to be used to sort the results"},"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"tenantCode":{"type":"string","description":"Tenant Code","nullable":true},"requestType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType"},"searchType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"},"continuationToken":{"type":"string","description":"Gets or sets search continuatino token.","nullable":true}},"additionalProperties":false,"description":"InvalidProductSearchRequest"},"Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType":{"enum":["ValidProducts","InvalidProducts","DefaultClassification","InvalidLogs"],"type":"string","description":"The type of searches that can be called from the UI"},"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Delete":{"post":{"tags":["InvalidProducts"],"summary":"Deletes invalid products for brand.","operationId":"api/v2/InvalidProducts/Delete_POST","requestBody":{"description":"The search request","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductSearchRequest"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/InvalidProducts/Reprocess

> Starts reprocessing invalid products for given brand

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Reprocess":{"post":{"tags":["InvalidProducts"],"summary":"Starts reprocessing invalid products for given brand","operationId":"api/v2/InvalidProducts/Reprocess_POST","parameters":[{"name":"brandCode","in":"query","description":"The brand code","schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/InvalidProducts/Reprocess/TenantCode

> Starts reprocessing invalid products for given tenant

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Reprocess/TenantCode":{"post":{"tags":["InvalidProducts"],"summary":"Starts reprocessing invalid products for given tenant","operationId":"api/v2/InvalidProducts/Reprocess/TenantCode_POST","parameters":[{"name":"tenantCode","in":"query","description":"The tenant code","schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}

> Get a product exception file by brand tenant code

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}":{"get":{"tags":["InvalidProducts"],"summary":"Get a product exception file by brand tenant code","operationId":"api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}_GET","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"searchType","in":"path","description":"","required":true,"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}}
```

## POST /api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}

> Generate a catalog error file by brand

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}":{"post":{"tags":["InvalidProducts"],"summary":"Generate a catalog error file by brand","operationId":"api/v2/InvalidProducts/Invalid/File/{tenantCode}/{searchType}_POST","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"searchType","in":"path","description":"","required":true,"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"}}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/invalid-products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
